how to compile wxGTK 2.4.2 on AMD 64 bit linux system

Do you have a typical platform dependent issue you're battling with ? Ask it here. Make sure you mention your platform, compiler, and wxWidgets version.
Post Reply
vsp
Knows some wx things
Knows some wx things
Posts: 35
Joined: Mon Feb 21, 2005 12:52 pm

how to compile wxGTK 2.4.2 on AMD 64 bit linux system

Post by vsp » Mon Apr 03, 2006 2:21 pm

Hi,

How to build wxGTK 2.4.2 on AMD 64 bit linux system.

VSP

DavidHart
Site Admin
Site Admin
Posts: 4002
Joined: Thu Jan 12, 2006 6:23 pm
Location: IoW, UK

Post by DavidHart » Mon Apr 03, 2006 2:38 pm

Hi,

I presume you mean that you tried, and were unsuccessful.

I have no problem compiling wxGTK-2.4.2 using a 64 bit install of SuSE 9.3. However trying to do the same with SuSE 10.0 gives compile errors. This is because of the g++ version, which is stricter. If this sort of thing is happening to you, the answer is either to upgrade wxGTK, or downgrade g++.

HTH,

David

Post Reply